Topic locked

Workaround: Compiler errors with Unity 2018.4

May 7, 2019 - 2:37am #1

With Unity 2018.4 LTS, you might see compiler errors like below when using Vuforia:

Assets\Vuforia\Scripts\Internal\RuntimeOpenSourceInitializer.cs(61,63): error CS0234: The type or namespace name 'ScriptableRenderContext' does not exist in the namespace 'UnityEngine.Rendering' (are you missing an assembly reference?)

This can be easily resolved by opening that script, and change all occurrences of

#if UNITY_2018_3

to:

#if UNITY_2018

A Vuforia 8.1 patch with that fix will be released shortly, in the meantime please apply this manual workaround if you want to use Unity 2018.4 LTS immediately.

Thanks, Vuforia Engine Support

Topic locked